3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $x = "vnd.asd/asd,asd.test+asd"; $explode = explode( '.', $x ); $pop = array_pop( $x ); echo array_pop( $explode );
based on T2duR
Output for 5.3.0 - 5.6.28, 7.0.0 - 7.1.0
Warning: array_pop() expects parameter 1 to be array, string given in /in/Vpn92 on line 5 test+asd
Output for hhvm-3.10.0 - 3.12.0
Warning: array_pop() expects parameter 1 to be an array or mutable collection in /in/Vpn92 on line 5 test+asd
Output for 4.3.2 - 5.2.17
Warning: array_pop(): The argument should be an array in /in/Vpn92 on line 5 test+asd
Output for 4.3.0 - 4.3.1
Warning: array_pop() [http://www.php.net/function.array-pop]: The argument should be an array in /in/Vpn92 on line 5 test+asd